SRCDIR = ..
include $(SRCDIR)/Make.Rules

CFLAGS+=-I. -I$(SRCDIR)/pbm -I$(SRCDIR)/pgm

# Enable this to allow X11 colour names in PPM utilities.
# Disable it if you don't have X11 installed, or you don't
# mind `ppmtouil' and `ppmtoxpm' not working.
CFLAGS += -DRGB_DB=\"/usr/lib/X11/rgb\"

HDRS = ppm.h

ARLIB = libppm.a

OBJS = libppm1.o libppm2.o libppm3.o libppm4.o libppm5.o bitio.o

MAJOR = 1
MINOR = 0
PATCH = 0

SHBASE=ppm

MAN1S = bmptoppm.1 gouldtoppm.1 hpcdtoppm.1 ilbmtoppm.1 \
		 imgtoppm.1 mtvtoppm.1 pcxtoppm.1 pgmtoppm.1 \
		 pi1toppm.1 picttoppm.1 pjtoppm.1 \
                 ppm3d.1 ppmbrighten.1 ppmchange.1 ppmdim.1 ppmdist.1 \
		 ppmdither.1 ppmflash.1 ppmhist.1 ppmmake.1 ppmmix.1 \
		 ppmnorm.1 ppmntsc.1 ppmquant.1 ppmrelief.1 \
		 ppmshift.1 ppmspread.1 \
		 ppmtoacad.1 ppmtobmp.1 \
		 ppmtogif.1 ppmtoicr.1  ppmtoilbm.1 ppmtomitsu.1 \
		 ppmtopcx.1 ppmtopgm.1 ppmtopi1.1 ppmtopict.1 ppmtopj.1 \
		 ppmtopjxl.1 ppmtopuzz.1 ppmtorgb3.1 ppmtosixel.1 ppmtotga.1 \
		 ppmtouil.1 ppmtoxpm.1 ppmtoyuv.1 ppmtoyuvsplit.1 \
		 qrttoppm.1 rawtoppm.1 rgb3toppm.1 sldtoppm.1 \
		 spctoppm.1 sputoppm.1 tgatoppm.1 ximtoppm.1 \
		 xpmtoppm.1 xvminitoppm.1 yuvtoppm.1 yuvsplittoppm.1 \
		 ppmforge.1 ppmpat.1 ppmqvga.1 ppmtomap.1 \
		 ppmquantall.1
MAN3S = libppm.3

MAN5S = ppm.5

APPS = bmptoppm gouldtoppm hpcdtoppm ilbmtoppm \
		 imgtoppm mtvtoppm pcxtoppm pgmtoppm \
		 pi1toppm picttoppm pjtoppm \
                 ppm3d ppmbrighten ppmchange ppmdim ppmdist \
		 ppmdither ppmflash ppmhist ppmmake ppmmix \
		 ppmnorm ppmntsc ppmquant ppmrelief \
		 ppmshift ppmspread \
		 ppmtoacad ppmtobmp \
		 ppmtogif ppmtoicr ppmtoilbm ppmtomitsu \
		 ppmtopcx ppmtopgm ppmtopi1 ppmtopict ppmtopj \
		 ppmtopjxl ppmtopuzz ppmtorgb3 ppmtosixel ppmtotga \
		 ppmtouil ppmtoxpm ppmtoyuv ppmtoyuvsplit \
		 qrttoppm rawtoppm rgb3toppm sldtoppm \
		 spctoppm sputoppm tgatoppm ximtoppm \
		 xpmtoppm xvminitoppm yuvtoppm yuvsplittoppm \
		 ppmforge ppmpat ppmqvga ppmtomap

LOADLIBES=-L. -lppm -L../pgm -lpgm -L../pbm -lpbm -lm

include $(SRCDIR)/Make.Targets

